#include "Principal.h"
#include <time.h>

Principal::Principal() 
{
    Simao.Inicializa(3, 10, 1976, "Jean Simao");
    Einstein.Inicializa(14, 3, 1879, "Albert Einstein");
    Newton.Inicializa(4, 1, 1643, "Isaac Newton");
}

Principal::~Principal() { }

void Principal::Executar() 
{
    struct tm* local; /* O ponteiro 'local' é do tipo struct tm, que contém data e hora.*/

    time_t segundos; 
    time(&segundos); /* Recebe o tempo em segundos */
    local = localtime(&segundos); /* Transforma os segundos em tempo local */

    int dia = local->tm_mday; /* Retorna o dia. */
    int mes = local->tm_mon + 1; /* Retorna o mês. */
    int ano = local->tm_year + 1900; /* Retorna o ano. é necessário acrescentar 1900, pois o sistema retorna a partir desse ano. Ao inv�s de 2009, retorna 109. */

    Simao.Calc_Idade(dia, mes, ano);
    Einstein.Calc_Idade(dia, mes, ano);
    Newton.Calc_Idade(dia, mes, ano);
}
